Freeciv-3.2: specialist Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
specialist Struct Reference

`#include <specialist.h>`

## Data Fields

int | item_number
struct name_translation | name
struct name_translation | abbreviation
bool | ruledit_disabled
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
struct requirement_vector | reqs
struct strvec * | helptext

## Detailed Description

Definition at line 29 of file specialist.h.

## Field Documentation

## ◆ abbreviation

struct name_translation specialist::abbreviation

Definition at line 32 of file specialist.h.

Referenced by handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), and send_ruleset_specialists().

## ◆ graphic_alt

char specialist::graphic_alt[MAX_LEN_NAME]

Definition at line 36 of file specialist.h.

Referenced by handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), send_ruleset_specialists(), and tileset_setup_specialist_type().

## ◆ graphic_str

char specialist::graphic_str[MAX_LEN_NAME]

Definition at line 35 of file specialist.h.

Referenced by handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), and send_ruleset_specialists().

## ◆ helptext

struct strvec* specialist::helptext

Definition at line 40 of file specialist.h.

Referenced by handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), send_ruleset_specialists(), and specialists_free().

## ◆ item_number

int specialist::item_number

Definition at line 30 of file specialist.h.

Referenced by specialists_init().

## ◆ name

struct name_translation specialist::name

Definition at line 31 of file specialist.h.

Referenced by compat_load_020600(), handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), and send_ruleset_specialists().

## ◆ reqs

struct requirement_vector specialist::reqs

Definition at line 38 of file specialist.h.

Referenced by city_can_use_specialist(), handle_ruleset_specialist(), load_ruleset_cities(), save_cities_ruleset(), send_ruleset_specialists(), specialists_free(), and specialists_init().

## ◆ ruledit_disabled

bool specialist::ruledit_disabled

Definition at line 33 of file specialist.h.

Referenced by specialists_init().